/* Since (pre RISC OS 3.5) MODEs are unstructured, we need this ugly table to
   convert mode number to bitdepth and scaling factors */

struct _modes
{
    int mode;
    int bpp;
    int xf;
    int yf;
} modes[] =
{ { 0, 1, 1, 2 },
  { 1, 2, 2, 2 },
  { 2, 4, 3, 2 },
  /* MODE 3 is text only */
  { 4, 1, 2, 2 },
  { 5, 2, 3, 2 },
  /* MODE 6 is text only */
  /* MODE 7 is bbc graphics */
  { 8, 2, 1, 2 },
  { 9, 4, 2, 2 },
  {10, 8, 3, 2 },
  {11, 2, 1, 2 },
  {12, 4, 1, 2 },
  {13, 8, 2, 2 },
  {14, 4, 1, 2 },
  {15, 8, 1, 2 },
  {16, 4, 0, 2 },
  {17, 4, 0, 2 },
  {18, 1, 1, 1 },
  {19, 2, 1, 1 },
  {20, 4, 1, 1 },
  {21, 8, 1, 1 },
  {22, 4, 1, 2 },
  {23, 1, 1, 1 },
  {24, 8, 0, 2 },
  {25, 1, 1, 1 },
  {26, 2, 1, 1 },
  {27, 4, 1, 1 },
  {28, 8, 1, 1 },
  {29, 1, 1, 1 },
  {30, 2, 1, 1 },
  {31, 4, 1, 1 },
  {32, 8, 1, 1 },
  {33, 1, 1, 2 },
  {34, 2, 1, 2 },
  {35, 4, 1, 2 },
  {36, 8, 1, 2 },
  {37, 1, 1, 2 },
  {38, 2, 1, 2 },
  {39, 4, 1, 2 },
  {40, 8, 1, 2 },
  {41, 1, 1, 2 },
  {42, 2, 1, 2 },
  {43, 4, 1, 2 },
  {44, 1, 1, 2 },
  {45, 2, 1, 2 },
  {46, 4, 1, 2 },
  {-1,-1,-1,-1 } };
  
